Subject: cperl-mode: The wanted indentation is available via customize

From: Harald Jörg <[email-masked]>
Date: Tue, 1 Sep 2020 18:22:19 +0200

The desired indentation of data

use Class::Struct Foo => [
    a => '$',
    b => '$',
    c => '$',
];

is already available.  As so many things in cperl-mode, it can be
customized:

(setq cperl-close-paren-offset -4)
(setq cperl-indent-parens-as-block t)

Therefore I suggest to close this bug.

These are also the recommended settings in the most influential book
Perl Best Practices (PBP) by Damian Conway.  I guess I should add
the PBP settings for indentation in a new value to cperl-style-alist,
but that's probably beyond the scope of this bug report.
-- 
Cheers,
haj